/* ============================================================
      reset
============================================================ */
* {
  box-sizing: border-box;
  color: #333333;
  font-size: 16px;
  margin: 0;
  padding: 0;
}
a {
  cursor: pointer;
  text-decoration: none;
}
ul {
  list-style: none;
}
input {
  border: none;
  border-radius: 0;
  outline: none;
}

html[lang="ja"] {
  font-family: var(--font-family);
  font-size: 62.5%;
  scroll-behavior: smooth;
}
body {
  background: var(--base-color);
  font-size: 1.6rem;
  height: 100%;
  line-height: 1.75;
  text-align: center;
  transition: background 0.5s cubic-bezier(0.4, 0.4, 0, 1);
}
.wrapper {
  overflow: hidden;
  width: 100%;
}

/* ============================================================
      TODO: ロゴ
============================================================ */
.content-logo {
  height: 95px;
  width: auto;
  /* margin-bottom: 53px; */
  position: relative;
  z-index: 2;
}
.logo__text {
  color: #ffffff;
  font-family: "PT Serif", serif;
  font-size: 5.5rem;
  text-align: left;
  font-weight: 400;
}
.logo__sub-text {
  color: inherit;
  font-family: var(--font-family);
  font-size: 1.3rem;
  font-weight: 600;
  position: absolute;
  top: 15px;
  right: calc(90% - 130px);
}

@media screen and (min-width: 768px) {
  .logo__text {
    font-size: 7.5rem;
  }

  .logo__sub-text {
    font-size: 1.7rem;
  }
}

/* ============================================================
        header
============================================================ */
.image-logo__sp {
  position: fixed;
  left: 10px;
  top: 10px;
  height: 50px;
  width: 50px;
  z-index: 900;
}
#nav-menu__sp {
  background: var(--base-color);
  right: -120%;
  opacity: 0.9;
  position: fixed;
  top: 0;
  transition: all 0.6s;
  height: 100vh;
  width: 100%;
  z-index: 999;
}
#nav-menu__sp.open {
  right: 0;
}
.content-nav__sp {
  left: 50%;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 999;
}
.content-nav__text {
  text-align: center;
}
.content-nav__text a {
  display: block;
  font-size: 2.1rem;
  font-weight: bold;
  padding: 10px;
  text-transform: uppercase;
}
#nav-btn {
  cursor: pointer;
  position: fixed;
  right: 10px;
  top: 10px;
  height: 50px;
  width: 50px;
  z-index: 9999;
}
#nav-btn span {
  background-color: var(--accent-color);
  border-radius: 2px;
  display: inline-block;
  left: 14px;
  position: absolute;
  transition: all 0.4s;
  height: 5px;
  width: 50%;
}
#nav-btn span:nth-of-type(1) {
  top: 18px;
}
#nav-btn span:nth-of-type(2) {
  top: 28px;
}
#nav-btn.open span:nth-of-type(1) {
  top: 18px;
  left: 18px;
  transform: translateY(6px) rotate(-45deg);
  width: 30%;
}
#nav-btn.open span:nth-of-type(2) {
  top: 30px;
  left: 18px;
  transform: translateY(-6px) rotate(45deg);
  width: 30%;
}
.sp {
  display: block;
}
.pc {
  display: none;
}
@media screen and (min-width: 768px) {
  header {
    background: var(--accent-color);
    height: 50px;
    width: 100%;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 9999;
  }
  /* TODO: #headerのスクロール制御 */
  .sp {
    display: none;
  }
  .pc {
    display: block;
  }
  .content-nav__pc {
    display: flex;
    justify-content: center;
    gap: 40px;
    position: relative;
  }
  .image-logo__pc {
    margin-right: auto;
    position: absolute;
    transform: translateY(-50%);
    top: 50%;
    left: 10px;
  }
  .image-logo__pc img {
    width: 38px;
    height: 38px;
    object-fit: cover;
    vertical-align: middle;
  }
  .content-nav__text a {
    color: #ffffff;
    font-size: 2rem;
    font-weight: normal;
    line-height: 50px;
    padding: 0;
  }
}

/* ============================================================
        CTAボタン
============================================================ */
.register-btn {
  align-items: center;
  height: 94px;
  font-size: 1.8rem;
}
.microcopy {
  color: var(--accent-color);
  font-size: 1.8rem;
  text-shadow: 2px 2px 3px rgb(51, 51, 51, 0.25);
}
.microcopy .small-text {
  color: inherit;
  font-size: 1.4rem;
}
.btn-item,
.btn-text {
  border-radius: 10px;
  box-shadow: 4px 4px 2px rgba(51, 51, 51, 0.25);
}
.btn-item {
  background: var(--accent-color);
  margin: 0 auto;
  min-height: 50px;
  max-width: 370px;
}
.btn-text {
  color: #ffffff;
  font-size: 2rem;
  padding: 14px 0;
  width: 100%;
}
.btn-item:hover,
.btn-text:hover {
  background: rgb(44, 106, 192);
  box-shadow: none;
  cursor: pointer;
  transform: translate(2px, 2px);
}

/* ============================================================
        見出しタイトル
============================================================ */
.content-heading {
  height: auto;
}
.content-heading__title {
  color: rgba(51, 51, 51, 0.1);
  font-size: 7.6rem;
  font-weight: bold;
  line-height: 7.4rem;
  text-align: left;
  margin: 25px 0;
}

/* ============================================================
        swiper
============================================================ */
.swiper-container {
  position: relative;
}
.swiper {
  margin-bottom: 45px;
}
.swiper-wrapper {
  height: 264px;
  width: auto;
  padding: 10px 18%;
}
.swiper-slide {
  background: #ffffff;
  border-radius: 5px;
  box-shadow: 4px 4px 2px rgba(51, 51, 51, 0.25);
  height: inherit;
  width: 165px;
  padding: 3px 6px;
}
.swiper-slide:last-child {
  margin-right: 30%;
}
.slide-item__title {
  font-weight: bold;
  text-align: left;
}
.slide-item__title::before {
  border-radius: 2px;
  border-bottom: solid 2px #ff0000;
  content: "";
  height: auto;
  width: 25px;
  top: 33px;
  position: absolute;
}
.slide-item__image {
  height: 113px;
  width: 100%;
  margin: 14px 0;
}
.slide-item__image img {
  border-radius: 5px;
  object-fit: cover;
  height: 100%;
  width: 100%;
}
.slide-item__text {
  font-size: 1.2rem;
  text-align: left;
}
.swiper-button-prev,
.swiper-button-next {
  height: 38px;
  width: 33px;
}
.swiper-button-prev::before,
.swiper-button-prev::after,
.swiper-button-next::before,
.swiper-button-next::after {
  background-size: contain;
  content: "";
  height: 38px;
  width: 33px;
}
.swiper-button-prev::before,
.swiper-button-next::before {
  background: #c1c1c1;
  border-radius: 30%;
  height: 37px;
  width: 31px;
  position: absolute;
}
.swiper-button-prev::after,
.swiper-button-next::after {
  border-top: #ffffff solid 3px;
  border-left: #ffffff solid 3px;
  height: 10px;
  width: 10px;
  position: absolute;
  right: 8px;
  transform: rotate(-45deg);
}
.swiper-button-next::after {
  transform: rotate(135deg);
  right: 12px;
}
.swiper-pagination {
  bottom: -30px !important;
}
/* Swiper削除時のスタイル */
@media screen and (min-width: 1400px) {
  .swiper {
    align-items: center;
    display: flex;
    flex-direction: column;
    margin: 0 calc(50% - 50vw);
    overflow-x: visible;
    overflow-y: hidden;
    width: 100vw;
  }
  .swiper-wrapper {
    padding: 10px;
  }
  .swiper-slide:not(:last-child) {
    margin-right: 15px;
  }
  .swiper-slide:last-child {
    margin-right: 0;
  }
  .swiper-button-prev,
  .swiper-button-next {
    display: none;
  }
}

/* ============================================================
        footer
============================================================ */
footer {
  background: var(--accent-color);
  height: 350px;
  overflow: visible;
  position: relative;
}
footer::before,
footer::after {
  border-radius: 90% / 80% 80% 0 0;
  content: "";
  display: block;
  position: absolute;
  right: 50%;
  transform: translate(50%, 0);
  height: 320px;
  width: 120%;
}
footer::before {
  background: var(--accent-color);
  top: -23%;
  right: 52%;
  overflow: hidden;
  z-index: -1;
}
footer::after {
  border: var(--assort-color) solid 3px;
  border-bottom: none;
  overflow: hidden;
  top: -24%;
  right: 46%;
  z-index: 2;
}
footer * {
  color: #ffffff;
}
footer h2 {
  font-size: 2.4rem;
  letter-spacing: 0.2rem;
  padding-bottom: 25px;
}
footer .image-logo__footer {
  margin: 20px 0;
}

/* ============================================================
        page-topボタン
============================================================ */
#page-top a {
  display: flex;
  justify-content: center;
  align-items: center;
  background: #333333;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  color: #fff;
  text-align: center;
  text-transform: uppercase;
  font-size: 0.6rem;
  transition: all 0.3s;
}
#page-top a:hover {
  background: #777;
}
#page-top {
  position: fixed;
  right: 10px;
  bottom: 10px;
  z-index: 2;
  opacity: 0;
  transform: translateY(100px);
}
#page-top.move-up {
  animation: move-up 0.5s forwards;
}
@keyframes move-up {
  from {
    opacity: 0;
    transform: translateY(100px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
#page-top.move-down {
  animation: move-down 0.5s forwards;
}
@keyframes move-down {
  from {
    opacity: 1;
    transform: translateY(0);
  }
  to {
    opacity: 1;
    transform: translateY(100px);
  }
}
